// A Ball Class
class Ball {
  // Fields
  int w; int h; // width and height of ball
  float x;      // x position
  float y;      // y position
  float spdX;   // x velocity
  float spdY;   // y velocity
  float gravity = .03;

  // Constructor
  Ball() {
    w = h = 20;
    x = random(0, width); y = random(10, height);
    spdX = random(0.5, 1.3); spdY = 0;
  }
  
  // Methods
  void update() {
    x += spdX;
    spdY += gravity;
    y += spdY;
  
    // Bounce off walls and floor
    if (x + w/2 > width || x - w/2  < 0) spdX = -spdX;
    if (y + h/2 > height || y - h/2 < 0) spdY = -spdY;
  }
  
  void display() {
    ellipse( x, y, w, h);
  }
}

